package top.imwork.window.silos.service.upms;

import top.imwork.window.silos.pojo.bo.SysRoleBO;
import top.imwork.window.silos.pojo.bo.SysRoleResultBO;
import top.imwork.window.silos.pojo.dto.SysRoleListDTO;
import top.imwork.window.silos.pojo.dto.SysRoleDTO;

import java.util.List;

/**
 * 角色信息
 *
 * @author jiangxiaowei
 * email: e-jiangxiaowei@outlook.com
 * date: 2025-12-09 16:29:22
 */
public interface ISysRoleService{

    /**
     * 根据角色信息id获取角色信息详情
     * @param id 角色信息id
     * @return SysRoleBO 角色信息详情
     */
    SysRoleBO info(Long id);

    /**
     * 新增/修改 信息
     * @param sysRoleDTO 要保存的信息
     * @return SysRoleBO 保存后的信息
     */
    SysRoleBO save(SysRoleDTO sysRoleDTO);

    /**
     * 根据id删除信息
     * @param id id
     * @return true/false 是否删除成功
     */
    Boolean delete(Long id);

    /**
     * 根据ids删除信息
     * @param ids ids
     * @return true/false 是否删除成功
     */
    Boolean deleteByIds(String[] ids);

    /**
     * 分页查询信息
     * @param sysRoleListDTO 分页信息
     * @return SysRoleResultBO 查询结果
     */
    SysRoleResultBO queryPage(SysRoleListDTO sysRoleListDTO);

    List<SysRoleBO> selectAll();
}

